:root {
    &:not(:has(body[theme="dark"])) {
        --color-editable-block-outline: hsl(0deg 100% 92.55%);
    }
    &:has(body[theme="dark"]) {
        --color-editable-block-outline: hsl(300.09deg 51% 28.45%);
    }
}

[editable] {
    & [contenteditable] {
        color: inherit;
        background-color: hsla(0deg, 100%, 97.45%, 0);
        &[contenteditable] { //? &.highlight, 
            background-color: hsla(0deg, 100%, 97.45%, 0.25);
        }
        transition: background-color 0.32s ease;
        //? transition: opacity 0.32s ease;
        outline: dashed var(--color-editable-block-outline);
    }
    
    &.ctrl {
        //? #target { user-select: none; }
        
        & *:hover {
            cursor: pointer;
            outline: dashed hsl(0deg 100% 92.55%);
        }
        
        &.shift [contenteditable] {
            &.moving {
                cursor: grabbing;
            }
            &:not(.moving) {
                cursor: grab;
            }
        }
    }
}